cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/books/settings/faceting' \
-H 'Authorization: Bearer API_KEY'client.index('books').getFaceting()$client->index('books')->getFaceting();client.index('books').get_faceting_settings()client.index("books").getFacetingSettings();client.index('books').facetingclient.Index("books").GetFaceting()await client.Index("movies").GetFacetingAsync();let faceting: FacetingSettings = client
.index("books")
.get_faceting()
.await
.unwrap();await client.index('movies').getFaceting();{}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Faceting
Get faceting
Returns the current value of the faceting setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
faceting
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/books/settings/faceting' \
-H 'Authorization: Bearer API_KEY'client.index('books').getFaceting()$client->index('books')->getFaceting();client.index('books').get_faceting_settings()client.index("books").getFacetingSettings();client.index('books').facetingclient.Index("books").GetFaceting()await client.Index("movies").GetFacetingAsync();let faceting: FacetingSettings = client
.index("books")
.get_faceting()
.await
.unwrap();await client.index('movies').getFaceting();{}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the faceting setting.
Faceting: maximum number of facet values and how they are sorted.
Maximum number of facet values returned per facet. Values are sorted in ascending lexicographical order.
Required range:
x >= 0Example:
100
Sort order per facet: by descending count (count) or ascending alphanumeric (alpha). Key * applies to all facets.
Show child attributes
Show child attributes
Example:
{ "*": "alpha" }
Was this page helpful?